package com.uvigo.mhp;

import com.uvigo.mhp.ui.*;
import java.awt.*;
import java.awt.event.*;
import java.beans.*;

public class TestBeanInfo extends SimpleBeanInfo
{
    public BeanDescriptor getBeanDescriptor()
    {
        BeanDescriptor bd=new BeanDescriptor(Test.class);
        return(bd);
    }
    
    public PropertyDescriptor[] getPropertyDescriptors()
    {
        try
        {
            PropertyDescriptor pd1 = new PropertyDescriptor("configurationFile", Test.class);
            PropertyDescriptor pd2 = new PropertyDescriptor("questionsContainer", Test.class);
            PropertyDescriptor pd3 = new PropertyDescriptor("testManager", Test.class);
            PropertyDescriptor pd4 = new PropertyDescriptor("name", Test.class);
            pd1.setBound(true);
            pd2.setBound(true);
            pd3.setBound(true);
            pd4.setBound(true);
            return new PropertyDescriptor[]
            {pd1, pd2, pd3, pd4};
        }
        catch (Exception ex)
        {
            ex.printStackTrace();
            return null;
        }
    }

    public EventSetDescriptor[] getEventSetDescriptors()
    {
        try
        {
            EventSetDescriptor ed1 = new EventSetDescriptor(
            Test.class, "test", TestListener.class,
            new String[]
            {"testInitialized", "testPassed", "testFailed", "testChecked"}, "addTestListener", "removeTestListener");
            
            return new EventSetDescriptor[]
            {ed1};
        }
        catch (Exception ex)
        {
            ex.printStackTrace();
            return null;
        }
    }
    
    public java.awt.Image getIcon(int iconKind)
    {
        return null;
    }
}
